Bug 1369103

Summary: Tree-root domains in a trusted AD forest aren't marked as reachable via the forest root
Product: Red Hat Enterprise Linux 7 Reporter: Marcel Kolaja <mkolaja>
Component: ipaAssignee: IPA Maintainers <ipa-maint>
Status: CLOSED WONTFIX QA Contact: Kaleem <ksiddiqu>
Severity: urgent Docs Contact:
Priority: urgent    
Version: 7.2CC: abokovoy, ekeck, ipa-maint, mbabinsk, mkosek, pvoborni, rcritten, sumenon, tscherf
Target Milestone: rcKeywords: ZStream
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1318169 Environment:
Last Closed: 2016-09-06 11:47:55 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1318169    
Bug Blocks:    

Description Marcel Kolaja 2016-08-22 13:38:37 UTC
This bug has been copied from bug #1318169 and has been proposed
to be backported to 7.2 z-stream (EUS).

Comment 3 Petr Vobornik 2016-08-26 12:37:38 UTC
master:
    62be554540e83e54c8cc06ebc2cb1253c2cebeca trust: make sure ID range is created for the child domain even if it exists
    a14ebbea895a20f5a68052e32ba65c4fd7fdf670 ipa-kdb: simplify trusted domain parent search 

ipa-4-3:
    4dabab84e02afb15a0bd77f62343392ea17a7102 trust: make sure ID range is created for the child domain even if it exists
    775c868bacc01286eafc97e8126937d76ee53e1e ipa-kdb: simplify trusted domain parent search 

ipa-4-2:
    0dfd5704e3e9c744e3a5fbf0d7ec5acf560bb371 trust: make sure ID range is created for the child domain even if it exists
    ac6248430ce3358e75e6eebf01db5b9dfc55cac0 ipa-kdb: simplify trusted domain parent search

Comment 8 Petr Vobornik 2016-09-06 11:47:55 UTC
Closing. This bug doesn't have a big demand to be fixed in RHEL 7.2 EUS. Will be fixed in 7.3.